import { $http } from "./config";
export default {
  // 登录
  login(data) {
    return $http("/user/web/login", data);
  },

  // 新增船东
  addShipOwner(data) {
    return $http("/shipOwner/add", data);
  },

  // 获取船东列表
  getShipOwnerList(data) {
    return $http("/shipOwner/list", data);
  },

  // 获取船东详情
  getShipOwnerDetail(data) {
    return $http("/shipOwner/detail", data);
  },

  // 更新船东信息
  updateShipOwner(data) {
    return $http("/shipOwner/update", data);
  },

  // 新增船舶
  addShip(data) {
    return $http("/ship/add", data);
  },

  // 删除船舶
  deleteShip(data) {
    return $http("/ship/delete", data);
  },

  // 删除船舶证书
  deleteShipCert(data) {
    return $http("/ship/delete/cert", data);
  },

  // 船舶详情
  getShipDetail(data) {
    return $http("/ship/detail", data);
  },

  // 获取船舶列表
  getShipList(data) {
    return $http("/ship/list", data);
  },

  // 使用mmsi匹配船舶
  searchShip(data) {
    return $http("/ship/search", data);
  },

  // 更新证书有效期
  updateShipCertValid(data) {
    return $http("/ship/update/cert/valid", data);
  },

  // 获取证书/保险列表
  getCertList(data) {
    return $http("/cert/list", data);
  },
};
